=== src/amdgpu-pro-16.60-423303/amd/amdkcl/Makefile ===

LINUXINCLUDE := $(DKMS_INCLUDE_PREFIX) $(LINUXINCLUDE)

amdkcl-y += kcl_drm.o kcl_fence.o kcl_mn.o kcl_fence_array.o \
	kcl_kthread.o kcl_reservation.o kcl_drm_global.o symbols.o main.o

obj-m += amdkcl.o
