=== debian/changelog ===
update-amd-pro-nonpro-16.60-423303 (1) xenial; urgency=medium

  * Initial release

 -- Cyrus Lien <cyrus.lien@canonical.com>  Fri, 26 May 2017 11:20:13 +0800
